Subject: Re: bug#69691: 30.0.50; vc-pull buffer doesn't fontify links after refresh

From: Po Lu <[email-masked]>
Date: Sun, 10 Mar 2024 14:35:35 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Sun, 10 Mar 2024 11:35:17 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> New VCS output inserted after the compilation buffer created by a
>> `vc-pull' command is refreshed (by selecting "refresh" from tool bar,
>> for instance) is not fontified as such but as ordinary compiler output,
>> and file names inside are not clickable.  This is a bug, since no
>> compelling reason exists to treat VCS commands as compilers once they
>> are executed a second time.
>
> Please provide a recipe for reproducing the problem starting from
> "emacs -Q".  The above description is too terse and lacks crucial
> details, like the stuff you see in the buffer, which parts are not
> fontified and/or not clickable, etc.

I'm not sure what I omitted, but it should be reproducible by typing "g"
in a compilation buffer created by vc-pull.  If any new upstream changes
are then detected and retrieved, the file names the resulting VCS
process prints will not be fontified or made clickable.